summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/flask-gravatar')
-rw-r--r--dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild10
1 files changed, 10 insertions, 0 deletions
diff --git a/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild b/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild
index 01350e36cdc..0a62779f0ae 100644
--- a/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild
+++ b/dev-python/flask-gravatar/flask-gravatar-0.5.0.ebuild
@@ -20,7 +20,17 @@ KEYWORDS="amd64 x86"
RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
+distutils_enable_tests pytest
+
src_prepare() {
sed -i -e '/pytest-runner/d' setup.py || die
+ sed -e 's:--pep8::' \
+ -e 's:--cov=flask_gravatar --cov-report=term-missing::' \
+ -i pytest.ini || die
distutils-r1_src_prepare
}
+
+python_test() {
+ cd tests || die
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}